/**
* Copyright (c) 2018 - 2019 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

//
// Grid System
// Based on 8 point grid.
//

@include grid-system-factory();

.nv-grid {
  padding-left: $space-default;
  padding-right: $space-default;
}

.nv-grid-full {
  padding-left: 0;
  padding-right: 0;
}

//
// Order
//

@for $i from 0 through 12 {
  .nv-order-#{$i} {
    order: $i;
  }
}

//
// Responsive
//


@include sm() {
  @for $i from 0 through 12 {
    .nv-order-sm-#{$i} {
      order: $i;
    }
  }
}

@include md() {
  @for $i from 0 through 12 {
    .nv-order-md-#{$i} {
      order: $i;
    }
  }
}

@include lg() {
  @for $i from 0 through 12 {
    .nv-order-lg-#{$i} {
      order: $i;
    }
  }
}

@include xl() {
  @for $i from 0 through 12 {
    .nv-order-xl-#{$i} {
      order: $i;
    }
  }
}

@include xxl() {
  @for $i from 0 through 12 {
    .nv-order-xxl-#{$i} {
      order: $i;
    }
  }
}

@include xxxl() {
  @for $i from 0 through 12 {
    .nv-order-xxxl-#{$i} {
      order: $i;
    }
  }
}

